import { AuthError, CredentialsSignin } from '@auth/core/errors';
export { AuthError, CredentialsSignin };
export declare class AuthenticationError extends CredentialsSignin {
    constructor(message: string, code?: string);
}
export declare class RegistrationError extends AuthError {
    constructor(message: string);
}
export declare class ConfigError extends AuthError {
    constructor(message: string);
}
