import nodemailer from 'nodemailer';
// Union type for specific email services
export const ALL_SERVICES = [
    'gmail',
    'outlook',
    'yahoo',
    'zoho',
    'office365',
    'aol',
    'protonmail'
];
// Email service-specific SMTP configurations
export const EMAIL_SERVICE_CONFIGS = {
    gmail: {
        host: 'smtp.gmail.com',
        port: 465,
        secure: true
    },
    outlook: {
        host: 'smtp-mail.outlook.com',
        port: 587,
        secure: false
    },
    yahoo: {
        host: 'smtp.mail.yahoo.com',
        port: 465,
        secure: true
    },
    zoho: {
        host: 'smtp.zoho.com',
        port: 465,
        secure: true
    },
    office365: {
        host: 'smtp.office365.com',
        port: 587,
        secure: false
    },
    aol: {
        host: 'smtp.aol.com',
        port: 587,
        secure: false
    },
    protonmail: {
        host: 'smtp.protonmail.ch',
        port: 587,
        secure: true
    }
};
