import { getVerifyEmailEndpoints } from './verify-email';
import { getResetPasswordEndpoints } from './reset-password';
export const getEndpoints = (securityConfig, adapter, emailProviderConfig) => {
    return {
        ...getVerifyEmailEndpoints(securityConfig.emailVerification, adapter, emailProviderConfig),
        ...getResetPasswordEndpoints(securityConfig.passwordReset, adapter, emailProviderConfig, securityConfig.passwordPolicy)
    };
};
