import { type EmailOptions, type EmailProvider, type NodemailerServiceConfig } from '../types';
export declare class NodemailerProvider implements EmailProvider {
    private transporter;
    private from;
    constructor(config: NodemailerServiceConfig);
    private createTransporter;
    private getSmtpConfig;
    private configureAuth;
    send(options: EmailOptions): Promise<void>;
    verify(): Promise<boolean>;
}
