import type { EmailProviderConfig } from '../../email/types';
import type { SecurityConfig } from '../../types/config';
import type { Adapter } from '@auth/core/adapters';
export declare const getEndpoints: (securityConfig: SecurityConfig, adapter: Adapter, emailProviderConfig: EmailProviderConfig) => {
    'POST:/auth/reset-password/initiate-reset': (event: import("../../../routes/$types").RequestEvent) => Promise<{
        success: boolean;
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
    'POST:/auth/reset-password/reset': (event: import("../../../routes/$types").RequestEvent) => Promise<{
        success: boolean;
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
    'POST:/auth/verify-email/send-otp': (event: import("../../../routes/$types").RequestEvent) => Promise<{
        success: boolean;
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
    'POST:/auth/verify-email/verify-otp': (event: import("../../../routes/$types").RequestEvent) => Promise<{
        success: {
            success: boolean;
            error?: string;
        };
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
    'POST:/auth/verify-email/magic-link': (event: import("../../../routes/$types").RequestEvent) => Promise<{
        success: boolean;
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
};
