import type { Adapter } from '@auth/core/adapters';
import type { PasswordResetOptions, SecurityConfig } from '../../types/config';
import type { EmailProviderConfig } from '../../email/types';
import type { RequestEvent } from '../../../routes/$types';
export declare const getResetPasswordEndpoints: (options: PasswordResetOptions, adapter: Adapter, emailProviderConfig: EmailProviderConfig, passwordPolicy: SecurityConfig["passwordPolicy"]) => {
    'POST:/auth/reset-password/initiate-reset': (event: RequestEvent) => Promise<{
        success: boolean;
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
    'POST:/auth/reset-password/reset': (event: RequestEvent) => Promise<{
        success: boolean;
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
};
