import type { RequestEvent } from '../../../routes/$types';
import type { Adapter } from '@auth/core/adapters';
import type { EmailProviderConfig } from '../../email/types';
import type { EmailVerificationOptions } from '../../types/config';
export declare const getVerifyEmailEndpoints: (options: EmailVerificationOptions, adapter: Adapter, emailProviderConfig: EmailProviderConfig) => {
    'POST:/auth/verify-email/send-otp': (event: RequestEvent) => Promise<{
        success: boolean;
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
    'POST:/auth/verify-email/verify-otp': (event: RequestEvent) => Promise<{
        success: {
            success: boolean;
            error?: string;
        };
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
    'POST:/auth/verify-email/magic-link': (event: RequestEvent) => Promise<{
        success: boolean;
        error?: undefined;
    } | {
        success: boolean;
        error: any;
    }>;
};
