import { type SecurityConfig } from '../types/config.js';
export declare function validateEmail(email: string): boolean;
export declare const DEFAULT_SPECIAL_CHARS = "!@#$%^&*()_+-=[]{}|;:,.<>?";
export declare function validatePassword(password: string, passwordPolicy?: SecurityConfig['passwordPolicy']): {
    success: boolean;
    message?: any;
};
export declare function validateCredentials(email: string, password: string): boolean;
export declare function validateRegistration(data: unknown): {
    password: string;
    email: string;
    name: string;
};
export declare function isValidSecurityConfig(config: SecurityConfig): boolean;
